import { type Context } from "aws-lambda";

import { handler as elciudadano } from "./portales/elciudadano/handler";
import { handler as eldesconcierto } from "./portales/eldesconcierto/handler";
import { handler as emol } from "./portales/emol/handler";
import { handler as latercera } from "./portales/latercera/handler";
import { handler as theclinic } from "./portales/theclinic/handler";

const context: Context = {
  callbackWaitsForEmptyEventLoop: false,
  functionName: "",
  functionVersion: "$LATEST",
  invokedFunctionArn: "",
  memoryLimitInMB: "0",
  awsRequestId: "",
  logGroupName: "",
  logStreamName: "",
  done: () => {},
  fail: () => {},
  succeed: () => {},
  getRemainingTimeInMillis: () => 1
};

async function main (): Promise<void> {
  await elciudadano(null, context, () => {});
  await eldesconcierto(null, context, () => {});
  await emol(null, context, () => {});
  await latercera(null, context, () => {});
  await theclinic(null, context, () => {});
}

main().catch((err) => {
  console.error(err)
});
